at.chipkarte.client.das.soap

## Class IEKOComparison

- Object
- - at.chipkarte.client.das.soap.IEKOComparison

-     public class IEKOComparison
      extends Object

  Detaildaten zu einem in der Arzneispezialität enthaltenen Wirkstoff.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IEKOComparison()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getComparisonCode()` Vergleichskennzeichen hinsichtlich des Wirkstoffes.
    `String` | `getComparisonPosition()` Position der Arzneispezialität im ökonomischen Ranking.
    `IEKOMedicament` | `getIEKOMedicament()` Im Vergleich gefundene Arzneispezialität.
    `void` | `setComparisonCode(String comparisonCode)`
    `void` | `setComparisonPosition(String comparisonPosition)`
    `void` | `setIEKOMedicament(IEKOMedicament iEKOMedicament)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IEKOComparison

          public IEKOComparison()

  - ### Method Detail

    - #### getIEKOMedicament

          public IEKOMedicament getIEKOMedicament()

      Im Vergleich gefundene Arzneispezialität.
      Returns:
        IEKOMedicament

    - #### getComparisonPosition

          public String getComparisonPosition()

      Position der Arzneispezialität im ökonomischen Ranking. Format: 2-stellig
      Returns:
        ComparisonPosition

    - #### getComparisonCode

          public String getComparisonCode()

      Vergleichskennzeichen hinsichtlich des Wirkstoffes. Format: 1-stellig
      Returns:
        comparisonCode

    - #### setIEKOMedicament

          public void setIEKOMedicament(IEKOMedicament iEKOMedicament)

    - #### setComparisonPosition

          public void setComparisonPosition(String comparisonPosition)

    - #### setComparisonCode

          public void setComparisonCode(String comparisonCode)